%define post_apacheconf		/sbin/service httpd condreload
%define postun_apacheconf	/sbin/service httpd condreload

Name:       bugzilla
Version:	2.16.8
#for Sisyphus:
Release:	alt3
#for Backports M2.4:
#release:	alt2.M24.1
Summary:	A bug tracking system developed by mozilla.org.

License:	MPL
Group:		Networking/WWW

%define apache_num 60
#define bugzilla_name %{name}.test
%define bugzilla_name %{name}

%define apache_group apache
%define apache_webmaster webmaster
%define apache_home %_var/www/html
%define bugzilla_dir %apache_home/%bugzilla_name
%define apache_confdir %_sysconfdir/httpd/conf
%define apache_addonconfdir %apache_confdir/addon-modules.d

%define bugzilla_ftp http://ftp.mozilla.org/pub/mozilla.org/webtools

Source0:	%bugzilla_ftp/%name-%version.tar.gz
Source1:	%name.conf
Source2:	%name.cron
#Patch0:		bugzilla-apache-group-fix.patch
Patch1:		bugzilla-add-lang-switch-2.16.8.patch
Patch2:		bugzilla-editproducts-minimize.patch
Patch3:		bugzilla-enter-bug-chg.patch
Patch4:		bugzilla-simple-query.patch
Patch5:		bugzilla-usesearchcomponentsenterbug-feat.patch.gz
URL:		http://www.bugzilla.org/

BuildRequires:	perl(AppConfig.pm) >= 0:1.52
BuildRequires:	perl(DBI.pm) >= 0:1.13
BuildRequires:	perl(Template.pm) >= 0:2.07
#BuildRequires:	perl(GD.pm) >= 0:1.19
BuildRequires:	perl(CGI/Carp.pm)
BuildRequires:	perl(DBD/mysql.pm)
BuildRequires:	perl(DBD/Sponge.pm)
BuildRequires:	perl(File/Spec.pm)
BuildRequires:	perl(File/Temp.pm)
BuildRequires:	perl(Text/Wrap.pm)
BuildRequires:	perl(Data/Dumper.pm)
BuildRequires:	perl(Date/Parse.pm)
#BuildRequires:	perl(Chart/Base.pm)
BuildRequires:	perl(Test/Harness.pm)
Requires:	perl(AppConfig.pm) >= 0:1.52
Requires:	perl(DBI.pm) >= 0:1.13
Requires:	perl(Template.pm) >= 0:2.07
#Requires:	perl(GD.pm) >= 0:1.19
Requires:	perl(CGI/Carp.pm)
Requires:	perl(DBD/mysql.pm)
Requires:	perl(DBD/Sponge.pm)
Requires:	perl(File/Spec.pm)
Requires:	perl(File/Temp.pm)
Requires:	perl(Text/Wrap.pm)
Requires:	perl(Data/Dumper.pm)
Requires:	perl(Date/Parse.pm)
#Requires:	perl(Chart/Base.pm)
Requires:	perl(Test/Harness.pm)
Requires:	apache

Requires:	perl(Attachment.pm)  
Requires:	perl(RelationSet.pm)  
Requires:	perl(Token.pm)

Conflicts:	bugzilla-ru <= 2.16.1.1.0-alt1

%add_findreq_skiplist */move.pl
%add_findreq_skiplist */xml.cgi
%add_findreq_skiplist */Bug.pm

%add_findreq_skiplist */CGI.pl
%add_findreq_skiplist */checksetup.pl
%add_findreq_skiplist */collectstats.pl
%add_findreq_skiplist */globals.pl
%add_findreq_skiplist */importxml.pl
%add_findreq_skiplist */processmail
%add_findreq_skiplist */syncshadowdb
%add_findreq_skiplist */UPGRADING-pre-2.8
%add_findreq_skiplist */whineatnews.pl

%add_findreq_skiplist *%bugzilla_dir/*.cgi

BuildArch:	noarch

%description
%name - Bugzilla is the bug tracking system developed by
mozilla.org. Mozilla.org is a group within Netscape that acts
as a clearinghouse for Netscape source code. 

Bugzilla since 2.16 is template driven, which makes it easier to
do customizations.

Please do take the time to read the release notes found in:
%_docdir/%name-%version/rel_notes.txt

%package -n %{name}-perl
Summary:	Bugzilla perl Modules.
Group:		Networking/WWW

%description -n %{name}-perl
%{name}-perl - Bugzilla perl Modules: RelationSet.pm, Token.pm
and Attachment.pm


%package -n %{name}-doc
Summary:	A docs for Bugzilla.
Group:		Books/Other

%description -n %{name}-doc
%{name}-doc - *.txt, *.html and *.xml docs for Bugzilla. Include
Bugzilla-Guide.txt


%package -n %{name}-doc-pdf
Summary:	Bugzilla-Guide.pdf.
Group:		Books/Other

%description -n %{name}-doc-pdf
%{name}-doc-pdf - *.pdf docs for Bugzilla.


%prep
%setup -q
#patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

# instead of a static patch we do as per documentation...
%__perl -pi -e 's@#\!/usr/bonsaitools/bin/perl@#\!/usr/bin/perl@' *cgi *pl Bug.pm processmail syncshadowdb

%build

%install
%__install -pd -m3770 %buildroot/%bugzilla_dir/{data/mining,shadow,graphs}

%__cp -aRf template %buildroot/%bugzilla_dir/
%__cp -aRf css %buildroot/%bugzilla_dir/

%__install -m755 *.cgi *.pl %buildroot/%bugzilla_dir/
%__install -m644 *.dtd *.html *.pm *.jpg *.gif *.js robots.txt %buildroot/%bugzilla_dir/
%__install -m644 localization.list %buildroot/%bugzilla_dir/
%__install -m755 syncshadowdb processmail %buildroot/%bugzilla_dir/

# Perl modules
%__install -pd %buildroot%_libexecdir/perl5
%__mv %buildroot{%bugzilla_dir/{RelationSet,Token,Attachment}.pm,%_libexecdir/perl5/}

# apache configuration
%__install -pD %SOURCE1 %buildroot/%_sysconfdir/httpd/conf/addon-modules.d/%{apache_num}%bugzilla_name.conf

# cron task
%__install -pD %SOURCE2 %buildroot/%_sysconfdir/cron.daily/%bugzilla_name

%post
if [ $1 -eq 1 ]; then
	%__subst '/Include conf\/addon-modules\/%name.conf/d' %apache_confdir/httpd.conf
	%__subst '/Include conf\/addon-modules.d\/%name.conf/d' %apache_confdir/httpd.conf
	if %__grep -eqs 'Include conf/addon-modules.d/*.conf' %apache_confdir/httpd.conf; then
		%__subst '/Include conf\/addon-modules.d\/%{apache_num}%name.conf/d' %apache_confdir/httpd.conf
	else
		%__subst '/Include conf\/addon-modules.d\/%{apache_num}%name.conf/p' %apache_confdir/httpd.conf
	fi
fi
#post_service httpd
#cd %bugzilla_dir && (./checksetup.pl ; sleep 1; ./collectstats.pl) ||:
%post_apacheconf

%preun
if [ $1 -eq 0 ]; then
  %__subst '/Include conf\/addon-modules.d\/%{apache_num}%name.conf/d' %apache_confdir/httpd.conf
  #preun_service httpd
fi
%postun_apacheconf

%files -n %{name}-perl
%_libexecdir/perl5/*

%files -n %{name}-doc-pdf
%doc docs/pdf

%files -n %{name}-doc
%doc README UPGRADING* contrib t runtests.sh
%doc docs/*

%files
%config(noreplace) %attr(644,root,root) %apache_confdir/addon-modules.d/%{apache_num}%bugzilla_name.conf
%config(noreplace) %attr(755,root,root) %_sysconfdir/cron.daily/%bugzilla_name

%defattr(640, root, %apache_group,750)
%attr(0750,root,%apache_group) %bugzilla_dir/*.cgi
%attr(0750,root,%apache_group) %bugzilla_dir/*.pl
%attr(0750,root,%apache_group) %bugzilla_dir/processmail
%attr(0750,root,%apache_group) %bugzilla_dir/syncshadowdb
%attr(750,root,%apache_group) %dir %bugzilla_dir/template
%attr(770,root,%apache_group) %dir %bugzilla_dir/graphs
%attr(750,root,%apache_group) %dir %bugzilla_dir/shadow
%attr(771,root,%apache_group) %dir %bugzilla_dir/data
%attr(750,root,%apache_group) %dir %bugzilla_dir/data/mining
%bugzilla_dir

%doc README UPGRADING* docs contrib t runtests.sh
%changelog
* Mon May 23 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt3
- no auto start checksetup.pl and collectstats.pl post install
  (fixed bug 6913 <https://bugzilla.altlinux.org/show_bug.cgi?id=6913>)
- fixed bug 6915 <https://bugzilla.altlinux.org/show_bug.cgi?id=6915>

* Thu Feb 10 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt2
- SPEC modification
- add param usesearchcomponentsenterbug
  (bugzilla-usesearchcomponentsenterbug-feat.patch)

* Wed Jan 26 2005 Aleksey Avdeev <solo@altlinux.ru> 2.16.8-alt1
- SPEC modification
- new version 2.16.8
- update bugzilla-add-lang-switch.patch (for 2.16.8)
- remove bugzilla-apache-group-fix.patch (included in 2.16.8)
- auto start checksetup.pl and collectstats.pl post install
- generate bugzilla, bugzilla-perl, bugzilla-doc and
  bugzilla-doc-pdf

* Fri May 02 2003 Alexey Gladkov <legion@altlinux.ru> 2.16.3-alt1
- First build for ALTLinux
- SPEC modification
- new version 2.16.3
- some patches

* Sat Mar 01 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-4mdk
- cron task

* Tue Feb 25 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 2.16.1-3mdk
- automatic apache integration

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.16.1-2mdk
- rebuild

* Wed Oct 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16.1-1mdk
- new version (security fixes)

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-2mdk
- fix Requires

* Tue Jul 30 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.16-1mdk
- new spanking major version
- misc spec file fixes

* Sat Jun  8 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.2-1mdk
- new version

* Mon May 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.14.1-1mdk
- new version
- new URL

* Mon Sep 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.14-1mdk
- updated & fixed by Don Head <donhead@linux-certified.org> :
- Merge with Red Hat:
  - add requirement for perl-DBD-MySQL (Mandrake requires perl-Mysql)
  - updated to 2.14 for security errata
  - added requires for perl-GD
  - forgot to include *.js files. Fixed. (#42795)
  - updated to 2.12, updated perlpath patch
  - added suggested fixes from bug 19497
  - Security fixes 38411
  - Note: This is not the Red Hat version of Bugzilla. You can grab that 
    at ftp://people.redhat.com/dkl
  - fixed bug #16147, dependancy problems.
  - patched all the files which looked for perl in /usr/bonsaitools/bin
  - fixed problem with /usr/bonsai/perl not existing.

* Mon Feb 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.11-2mdk
- great fixes from Don Head <donhead@linux-certified.org> :
	- Move to /var/www for FHS
	- Fix perl requires

* Mon Nov 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.11-1mdk
- used srpm from  Oden Eriksson <oden@kvikkjokk.com> :
	- 2.11
	- changed the perl path

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jun 21 2000 Tim Powers <timp@redhat.com>
- somehow changes were lost, don't know why but they were. Fixed

* Tue Jun 20 2000 Tim Powers <timp@redhat.com>
- fixed location for installation. Now out of /home (it's about time).

* Mon Jun 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.10

* Thu Jan 13 2000 Dave Lawrence <dkl@redhat.com>
- Minor cosmetic changes
- Different group permission mechanisms
- Packaged for Powertools
 
* Wed Nov 24 1999 Dave Lawrence <dkl@redhat.com>
- updated to 2.8 (w/Red Hat mods)
- added perl and perl-DBI to requires

* Fri Jul 30 1999 Tim Powers <timp@redhat.com>
- updated to 2.4, updated %post
- added URL and download loc.
- rebuilt for 6.1

* Mon Jan 11 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit.
- ran thru build system

* Thu Dec 10 1998 Andrew Anderson <andrew@redhat.com>
- Initial packaging

